Skip to main content
Settings/Settings Operations/Template Operations
PUTTemplate OperationsSince 3.6.0SynchronousAuth Required

UpdateTemplateConfig

UpdateTemplateConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • templateUuidStringRequired

    The template UUID.

Body Fields

  • updatetemplateconfigObjectRequired

    updatetemplateconfig request body object.

    • categoryStringRequired

      The corresponding global setting category.

    • nameStringRequired

      The corresponding global setting name.

    • valueStringRequired

      The template value.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryTemplateConfigInventoryRequired

    See inventory.

    • templateUuidStringRequired

      The template UUID.

    • categoryStringRequired

      The setting category.

    • nameStringRequired

      The setting name.

    • defaultValueStringRequired

      The default template value.

    • valueStringRequired

      The template value.

Endpoint

PUT/zstack/v1/template-configurations/{templateUuid}/actions

/zstack/v1/template-configurations/{templateUuid}/actions

Operation ID

UpdateTemplateConfig

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/template-configurations/{templateUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatetemplateconfig":{"category":"<category>","name":"<name>","value":"<value>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "templateUuid": "000011112222", "category": "vm", "name": "emulateHyperV", "defaultValue": "true", "value": "true" } }

Change History

This API has no change history records yet.

View all change history